<?php
/**
 * The template for displaying the 404 page (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 * @package Twenty8teen
 */

get_header(); ?>

	<main <?php twenty8teen_area_classes( 'main', 'site-main' ) ?> role="main">
		<div id="content" <?php twenty8teen_area_classes( 'content', 'content-area' ) ?>>

				<header <?php twenty8teen_attributes( 'header', 'class="page-header"' ); ?>>
					<h1 <?php twenty8teen_attributes( 'h1', 'class="page-title"' ); ?>>
					<?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'twenty8teen' ); ?>
					</h1>
				</header><!-- .page-header -->

				<div class="page-content">
					<p>
					<?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search.', 'twenty8teen' ); ?>
					</p>
					<?php get_search_form(); ?>

					<div class="widget widget_categories">
						<h2 class="widget-title"><?php esc_html_e( 'Most Used Categories', 'twenty8teen' ); ?></h2>
						<ul>
						<?php
							wp_list_categories( array(
								'orderby'    => 'count',
								'order'      => 'DESC',
								'show_count' => 1,
								'title_li'   => '',
								'number'     => 8,
							) );
						?>
						</ul>
					</div><!-- .widget -->

					<?php
						the_widget( 'WP_Widget_Recent_Posts' );
					?>

				</div><!-- .page-content -->

		</div><!-- #content -->
		<?php get_sidebar(); ?>
	</main>

<?php

get_footer();
