/**
 * To make the CSS interactive, set Custom CSS properties for mouse position.
 * The position is relative to the element, and ranges from 0 to 1.
 * @package Twenty8teen
 */
( function() {
	var dummy = document.createElement('_').style;
	dummy.cssText = '--foo: red; background: var(--foo);';
	if (dummy.background) { // Unprefixed support for Custom CSS properties
		var root = document.documentElement;

		document.addEventListener('mousemove', function(evt) {
			var target = evt.target || evt.srcElement,
				rect = target.getBoundingClientRect(),
				offsetX = evt.clientX - rect.left,
				offsetY = evt.clientY - rect.top;
			var x = offsetX / rect.width;  // values from 0 to 1.
			var y = offsetY / rect.height;

			root.style.setProperty('--mouse-x', x);
			root.style.setProperty('--mouse-y', y);
		} );
	}
} )();
