/**
 * Toggle the table view, and save the state in session storage.
  * @package Twenty8teen
 */
( function($) {
	function storageAvailable(type) {
    try {
      var storage = window[type],
        x = '__storage_test__';
      storage.setItem(x, x);
      storage.removeItem(x);
      return true;
    }
    catch(e) {
      return false;
    }
	}

	var localSave = storageAvailable('sessionStorage'),
		view = $('main').hasClass('table-view'),
		stored;
	if ( localSave ) {
    stored = sessionStorage.getItem('twenty8teen-view-selector');
		if ( stored !== null ) {
			stored = stored !== 'false';
			if( stored !== view ) {
				$('main').toggleClass('table-view');
				view = stored;
			}
		}
		sessionStorage.setItem('twenty8teen-view-selector', view);
	}
	$('.view-switch').on('click', function(){
		$('main').toggleClass('table-view');
		if ( localSave ) {
			sessionStorage.setItem('twenty8teen-view-selector', $('main').hasClass('table-view'));
		}
	});
} )(jQuery);
