<?php
/**
 * Template part for displaying the author biography
 * @package Twenty8teen
 */

$post_type = get_post_type();

if ( post_type_supports( $post_type, 'author' ) &&
	! in_array( $post_type, apply_filters( 'twenty8teen_posttypes_no_author', array( 'page' ) ) ) ) {
	if ( is_attachment() || is_single() ) : ?>

	<dl <?php twenty8teen_widget_get_classes( 'author-bio', true );?>>
		<dt>
			<?php
			echo get_avatar( get_the_author_meta( 'user_email' ), 48 );
			echo ' ' . twenty8teen_author_link(
				/* translators: %s: post author. */
				esc_html_x( 'Author: %s', 'post author', 'twenty8teen' ) );
			?>
		</dt>
		<dd class="author-description">
			<?php the_author_meta( 'description' ); ?>
		</dd><!-- .author-description -->
	</dl><!-- .author-bio -->

	<?php
	endif;
}
