<?php
/**
 * Template part for displaying the entry header
 * @package Twenty8teen
 */

$permalink = get_permalink();
$default = twenty8teen_default_identimages();
$attr = array( 'class' => twenty8teen_widget_get_classes( 'entry-header' ) );
$opt = get_theme_mod( 'show_entry_header_identimage', $default['show_entry_header_identimage'] );
if ( $opt != 'none' ) {
	$attr = twenty8teen_add_gradient( $permalink, $attr, $opt );
}
$post_type = get_post_type();
?>

	<header <?php twenty8teen_attributes( 'header', $attr ); ?>>
		<?php
		if ( is_singular() ) :
			the_title( '<h1 ' . twenty8teen_attributes( 'h1', 'class="entry-title"',
				false ) . '>', '</h1>' );
		else :
			the_title( '<h2 ' . twenty8teen_attributes( 'h2', 'class="entry-title"', false ) . '>' .
				 '<a ' . twenty8teen_attributes( 'a',
				 sprintf( 'href="%s" rel="bookmark"', $permalink ),
					false ) . '>',
				'</a></h2>' );
		endif;

		$posted_on = '';
		if ( ! in_array( $post_type, apply_filters( 'twenty8teen_posttypes_no_date', array( 'page' ) ) ) ) {

			$attr = array( 'class' => 'entry-date published updated', 'datetime' => '%1$s' );
			$time_string = '<time ' . twenty8teen_attributes( 'time', $attr, false ) . '>%2$s</time>';

			if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
				$attr = array( 'class' => 'entry-date published', 'datetime' => '%1$s' );
				$time_string = '<time ' . twenty8teen_attributes( 'time', $attr, false ) . '>%2$s</time>';
				$attr = array( 'class' => 'updated', 'datetime' => '%3$s' );
				$time_string .= '<time ' . twenty8teen_attributes( 'time', $attr, false ) . '>%4$s</time>';
			}

			$time_string = sprintf( $time_string,
				esc_attr( get_the_date( 'c' ) ),
				esc_html( get_the_date() ),
				esc_attr( get_the_modified_date( 'c' ) ),
				esc_html( get_the_modified_date() )
			);

			$posted_on = '<span class="posted-on"><a '
				. twenty8teen_attributes( 'a', array( 'href' => $permalink ), false )
				. '>' . $time_string . '</a></span> ';
		}

		$byline = '';
		if ( post_type_supports( $post_type, 'author' ) &&
			! in_array( $post_type, apply_filters( 'twenty8teen_posttypes_no_author', array( 'page' ) ) ) ) {

			$byline = '<span class="byline">' . twenty8teen_author_link(
				/* translators: %s: post author. */
				esc_html_x( 'by %s', 'post author', 'twenty8teen' ) ) . '</span>';
		}
		if ( $posted_on || $byline ) :
		?>
		<div class="entry-meta">
			<?php echo "$posted_on $byline"; ?>
		</div><!-- .entry-meta -->
		<?php
		endif; ?>
	</header><!-- .entry-header -->
