<?php
/**
 * Template part for displaying the post thumbnail
 * @package Twenty8teen
 */

$default = twenty8teen_default_sizes();
$imgsize = is_singular() ?
	get_theme_mod( 'featured_size_single', $default['featured_size_single'] ) :
	get_theme_mod( 'featured_size_archives', $default['featured_size_archives'] );

if ( 'none' !== $imgsize && ! is_attachment() ) {
	$permalink = get_permalink();
	$before = is_singular() ? '' : '<a ' . twenty8teen_attributes( 'a',
		array( 'href' => $permalink ), false ) . '>';
	$after = $before ? '</a>' : '';

	if ( has_post_thumbnail() ) {
		echo $before;
		the_post_thumbnail( $imgsize,
			array( 'class' => twenty8teen_widget_get_classes() )
		);
		echo $after;
	}
	else {
		$default = twenty8teen_default_identimages();
		$opt = get_theme_mod( 'show_featured_identimage', $default['show_featured_identimage'] );
		if ( 'none' !== $opt ) {
			$imgsize = twenty8teen_lookup_img_width( $imgsize );
			$attr = twenty8teen_add_gradient( $permalink, array(
				'style' => '',
				'class' => twenty8teen_widget_get_classes( 'wp-post-image' ),
				'src' => get_template_directory_uri() . '/images/clear.png',
				'width' => $imgsize,
			), $opt );
			echo $before;
			?>
			<img <?php twenty8teen_attributes( 'img', $attr ); ?> />
		<?php
			echo $after;
		}
	}
}
